#!/bin/sh

# ----------------------------------------------------------------------
#  Ephemeral/Private Port Assignment Manager : command-line shell script
# 
#  (C) Copyright IBM Corp. 2005 All Rights Reserved.
#  
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ----------------------------------------------------------------------

case "$0" in
  /*)   THIS_CMD_PATH="$0"       ;;
   *)   THIS_CMD_PATH="`pwd`/$0" ;;
esac

THIS_CMD_DIR="`dirname $THIS_CMD_PATH`"

JAVACMD=`sh $THIS_CMD_DIR/findJava.sh`
if test "$?" != 0 ; then exit 1 ; fi

EPPAM_JAR=`sh $THIS_CMD_DIR/findJar.sh eppam.jar`
if test "$?" != 0 ; then exit 1 ; fi

"$JAVACMD" -classpath "$EPPAM_JAR" \
    com.ibm.tivoli.svc.eppam.EPPortAssignmentClient $*

# ----------------------------------------------------------------------
# End script
# ----------------------------------------------------------------------
