#!/bin/sh

# ----------------------------------------------------------------------
#  JLog Dynamic Logging Configuration: command-line shell script
# 
#  (C) Copyright IBM Corp. 2005 All Rights Reserved.
#  
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ----------------------------------------------------------------------

case "$0" in
  /*)   THIS_CMD_PATH="$0"       ;;
   *)   THIS_CMD_PATH="`pwd`/$0" ;;
esac

THIS_CMD_DIR="`dirname $THIS_CMD_PATH`"

JAVACMD=`sh $THIS_CMD_DIR/findJava.sh`
if test "$?" != 0 ; then exit 1 ; fi

JLOG_JAR=`sh $THIS_CMD_DIR/findJar.sh jlog.jar`
if test "$?" != 0 ; then exit 1 ; fi


"$JAVACMD" -classpath "$JLOG_JAR" com.ibm.log.cmd.LogCmd $*

# ----------------------------------------------------------------------
# End script
# ----------------------------------------------------------------------
