@echo off
IF "%TMTP_DEBUG%" NEQ "" echo on
SET BASEDIR=MA_INSTALL_BASE_DIR

REM Return codes from wsvcstat
SET SERVICE_STOPPED=1
SET SERVICE_START_PENDING=2
SET SERVICE_STOP_PENDING=3
SET SERVICE_RUNNING=4
SET SERVICE_CONTINUE_PENDING=5
SET SERVICE_PAUSE_PENDING=6
SET SERVICE_PAUSED=7

SET SERVICE_NAME="IBM Tivoli Monitoring for Transaction Performance"
REM SET TEST_LOCK_FILE=%ProgramFiles%\ibm\tivoli\common\BWM\logs\jmxservice.log
SET TEST_LOCK_FILE=%BASEDIR%\lib\sm.jar

SET RUNNING_AS_SERVICE=%SystemRoot%\JMXSERVICE.RUN
SET RUNNING_AS_CONSOLE=%SystemRoot%\JMXCONSOLE.RUN

SET START_LOGFILE="%BASEDIR%\MA_START.log"
SET STOP_LOGFILE="%BASEDIR%\MA_STOP.log"

IF "%BASEDIR%"=="MA_INSTALL_BASE_DIR" GOTO ERROR
GOTO FIN
:ERROR
echo Error. BASEDIR variable has to be changed to reflect the installation directory of the Management Agent.
echo Modify the tmtpEnv.bat command to point to the MA base directory
echo For example: BASEDIR=C:\Program Files\ibm\tivoli\MA
exit /B 1
:FIN
REM RESET ERRORLEVEL
dir > nul
